Stream one reauthorized inspected inline image through a short-lived body handle.
POST
/api/workspace/markdown/inline-content/body
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/markdown/inline-content/body"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"BodyHandle\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/markdown/inline-content/body';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"BodyHandle":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/markdown/inline-content/body \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "BodyHandle": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Fetches a body using a short-lived opaque handle returned by resolution.
object
BodyHandle
string
Examplegenerated
{ "BodyHandle": "example"}Fetches a body using a short-lived opaque handle returned by resolution.
object
BodyHandle
string
Examplegenerated
{ "BodyHandle": "example"}Fetches a body using a short-lived opaque handle returned by resolution.
object
BodyHandle
string
Examplegenerated
{ "BodyHandle": "example"}Responses
Section titled “Responses”Reauthorized inline image bytes using the inspected MIME type.
Media type*/*
string format: binary
Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media typeapplication/json
object
Data
Authorized inline body response returned by the Markdown body service.
object
Content
string format: binary
DetectedMimeType
string
FileName
string
SizeBytes
integer format: int64
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}